/*
 *  UT_Utils.cpp
 *  OMA-DM Client
 *
 *  Created by Mykola Bilovus on 20/04/10.
 *  Copyright 2010. All rights reserved.
 *
 */


#include <boost/test/unit_test.hpp>
#include "serverexchange/ServerExchangeManager.h"


using namespace NS_DM_Client::NS_Communication;


BOOST_AUTO_TEST_SUITE(SuiteSEM)


BOOST_AUTO_TEST_CASE(TestCase_SEM_GetFWManager)
{
	ServerExchangeManager *pSEM = new ServerExchangeManager();
	BOOST_CHECK(pSEM->GetFirmwareManager());
	delete pSEM;
}


BOOST_AUTO_TEST_SUITE_END()
